Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

cross mob
GrCa_1363456
Level 6
Level 6
50 likes received Beta tester First comment on KBA

Why does PSoC Programmer 3.28 think 1.01 firmware is more recent than 1.13?

How can I "Upgrade" a bricked kit with 1.13 firmware?

I have a CY8CPROTO-062-4343W that I can't program regardless what mode I put it in.

I used PSoC Programmer to see that

KitProg2/KitProg3 bootloader device is detected when LED2 is blinking On/Off/On/Off

            KitProg3 CMSIS-DAP Version 1.2.0 FW Version 1.01.158 detected when LED2 has slow blink

            KitProg3 CMSIS-DAP Version 2.0.0 FW Version 1.01.158 detected when LED2 is solid on

Opened Device Manager – Kit shows up as

KitProg3 USB-UART (COM11) when LED 2 solid

KitProg3 USB-UART (COM18) when LED 2 pulsing ~ 1.2 seconds

I finally broke down and got a new kit. The new kit seems to program fine.

Oddly, it shows up on Device Manager as: mbed Serial Port (COM70)

I used PSoC Programmer to see what it looks like. It shows up as:

          Port Opened with Warning KitProg3 version Expecting 1.01.158, but found 1.13.322.

Greg

   

For reference, here's the contents of "About PSoC Programmer"

Installed CyInstaller Products:

Bridge Control Panel  1.20.0.4504

Clock Programmer  1.9.0.4504

Device Database  4504

Example Code  4504

PSoC Programmer  3.28.7.4504

USB Bootloader Application  4504

0 Likes
1 Solution

Moto,

Using fw-loader appears to be the key.

Navigating to KitProg User Guide @ https://www.cypress.com/documentation/development-kitsboards/kitprog-user-guide

Kitprog User Guide points to fw-loader updates on GitHub.

I was using fw-loader from within ModusToolbox 2.1, which appears to be Version 2.3.0.588.

I now installed fw-loader 2.3.1.610.

I plugged in my bricked CY8CPROTO-062-4343W

Pressed SW3 to set LED2 to a slow blink

Navigate to the newly installed fw-loader/bin directory

Run fw-loader --update-kp3

within the text scrolling is the line:

Kit FW is 'KitProg3' ver. 1.01 b158.  Upgrade file is 'KitProg3' ver. 1.21 b707.

This looks promising

PSoC Programmer now tells me I have the newer code - though it still gives me a warning.

I don't see the firware version when using Cypress Programmer. I'm guessing the version is showing up as a raw hex code. Understanding Cypress Programmer is a task for another day.

All seems good with CY8CPROTO-062-4343W now.

Greg

View solution in original post

3 Replies
MotooTanaka
Level 9
Level 9
Distributor - Marubun (Japan)
First comment on blog Beta tester First comment on KBA

Hi,

Have you tried "Cypress Programmer" instead of "PSoC Programmer"?

moto

Moto,

Using fw-loader appears to be the key.

Navigating to KitProg User Guide @ https://www.cypress.com/documentation/development-kitsboards/kitprog-user-guide

Kitprog User Guide points to fw-loader updates on GitHub.

I was using fw-loader from within ModusToolbox 2.1, which appears to be Version 2.3.0.588.

I now installed fw-loader 2.3.1.610.

I plugged in my bricked CY8CPROTO-062-4343W

Pressed SW3 to set LED2 to a slow blink

Navigate to the newly installed fw-loader/bin directory

Run fw-loader --update-kp3

within the text scrolling is the line:

Kit FW is 'KitProg3' ver. 1.01 b158.  Upgrade file is 'KitProg3' ver. 1.21 b707.

This looks promising

PSoC Programmer now tells me I have the newer code - though it still gives me a warning.

I don't see the firware version when using Cypress Programmer. I'm guessing the version is showing up as a raw hex code. Understanding Cypress Programmer is a task for another day.

All seems good with CY8CPROTO-062-4343W now.

Greg

MotooTanaka
Level 9
Level 9
Distributor - Marubun (Japan)
First comment on blog Beta tester First comment on KBA

Dear Greg-san,

Yes, if you have installed the ModusToolbox, fw-loader, sure, will work.

And you found that great!

Meantime, if I remember correctly Cypress Programmer works better for PSoC 6 than the PSoC Programmer,

but anyway, it's not necessary anymore.

FYI, you can get Cypress Programmer from the URL below.

https://www.cypress.com/documentation/software-and-drivers/cypress-programmer-archive

Best Regards,

15-May-2020

Motoo Tanaka

0 Likes